<?xml version="1.0" encoding="utf-8"?>
<com.gh.gamecenter.common.view.MaterializedRelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:fitsSystemWindows="true"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    app:consumeWindowInsets="true"
    android:background="@color/ui_surface">

    <androidx.coordinatorlayout.widget.CoordinatorLayout
        android:id="@+id/do_not_delete_this_empty_layout"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:fitsSystemWindows="true" />

    <ImageView
        android:id="@+id/loginBg"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:scaleType="centerCrop"
        android:src="@drawable/bg_mobile_login" />

    <com.gh.gamecenter.common.view.StatusBarView
        android:id="@+id/statusBarView"
        android:layout_width="match_parent"
        android:layout_height="wrap_content" />

    <TextView
        android:id="@+id/titleTv"
        android:layout_below="@+id/statusBarView"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="145dp"
        android:layout_marginLeft="40dp"
        android:includeFontPadding="false"
        android:textColor="@color/text_primary"
        android:textStyle="bold"
        android:textSize="22sp"
        android:text="手机号登录" />

    <TextView
        android:id="@+id/descTv"
        android:layout_below="@+id/titleTv"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="8dp"
        android:layout_marginLeft="40dp"
        android:includeFontPadding="false"
        android:textColor="@color/text_tertiary"
        android:textSize="12sp"
        android:text="未注册手机登录后将自动创建账号" />

    <RelativeLayout
        android:id="@+id/login_phone_container"
        android:layout_width="match_parent"
        android:layout_height="44dp"
        android:layout_below="@+id/descTv"
        android:layout_marginLeft="40dp"
        android:layout_marginTop="32dp"
        android:layout_marginRight="40dp"
        android:background="@drawable/bg_login_edit">

        <TextView
            android:id="@+id/login_phone_prefix"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_centerVertical="true"
            android:layout_marginLeft="20dp"
            android:text="@string/login_phone_prefix"
            android:textColor="@color/text_tertiary"
            android:textSize="16sp" />

        <View
            android:id="@+id/phoneDivider"
            android:layout_width="1dp"
            android:layout_height="12dp"
            android:layout_centerVertical="true"
            android:layout_marginLeft="16dp"
            android:layout_toRightOf="@+id/login_phone_prefix"
            android:background="@color/ui_divider" />

        <com.gh.gamecenter.common.view.ClearEditTextNormal
            android:id="@+id/login_phone_et"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_marginLeft="16dp"
            android:layout_toRightOf="@+id/phoneDivider"
            app:drawableRightCompat="@drawable/icon_input_close"
            android:background="@null"
            android:hint="@string/input_phone_hint"
            android:inputType="number"
            android:maxLength="13"
            android:paddingTop="10dp"
            android:paddingRight="20dp"
            android:paddingBottom="10dp"
            android:textColor="@color/text_primary"
            android:textColorHint="@color/text_instance"
            android:textCursorDrawable="@drawable/cursor_color"
            android:textSize="16sp" />
    </RelativeLayout>

    <RelativeLayout
        android:id="@+id/login_password_container"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_below="@+id/login_phone_container"
        android:layout_marginTop="16dp"
        android:layout_marginLeft="40dp"
        android:layout_marginRight="40dp"
        android:background="@drawable/bg_login_edit">

        <EditText
            android:id="@+id/login_pass_et"
            android:layout_width="match_parent"
            android:layout_height="44dp"
            android:layout_marginLeft="24dp"
            android:background="@null"
            android:hint="@string/input_captcha_hint"
            android:inputType="number"
            android:maxLength="8"
            android:paddingTop="10dp"
            android:paddingBottom="10dp"
            android:textColor="@color/text_primary"
            android:textColorHint="@color/text_instance"
            android:textCursorDrawable="@drawable/cursor_color"
            android:textSize="16sp" />

        <TextView
            android:id="@+id/login_captcha"
            android:layout_width="wrap_content"
            android:layout_height="25dp"
            android:layout_alignParentRight="true"
            android:layout_centerVertical="true"
            android:layout_marginRight="24dp"
            android:gravity="center"
            android:text="@string/login_get_captcha"
            android:textColor="@color/text_theme"
            android:textSize="14sp" />

        <View
            android:id="@+id/captchaDivider"
            android:layout_toLeftOf="@+id/login_captcha"
            android:layout_width="1dp"
            android:layout_height="12dp"
            android:layout_marginRight="16dp"
            android:layout_centerVertical="true"
            android:background="@color/ui_divider" />
    </RelativeLayout>

    <TextView
        android:id="@+id/login_phone_btn"
        style="@style/PrimaryGradientButton"
        android:layout_width="match_parent"
        android:layout_height="44dp"
        android:layout_below="@+id/login_password_container"
        android:layout_marginLeft="40dp"
        android:layout_marginTop="16dp"
        android:layout_marginRight="40dp"
        android:alpha="0.6"
        android:enabled="false"
        android:gravity="center"
        android:text="@string/login"
        android:textSize="16sp" />

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/policyContainerLayout"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_below="@+id/login_phone_btn">

        <LinearLayout
            android:id="@+id/policyContainer"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="22dp"
            android:gravity="center"
            android:orientation="horizontal"
            app:layout_constraintTop_toTopOf="parent"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintRight_toRightOf="parent">

            <com.lightgame.view.CheckableImageView
                android:id="@+id/checkIv"
                android:layout_width="24dp"
                android:layout_height="24dp"
                android:padding="4dp" />

            <TextView
                android:id="@+id/login_privacy_policy"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:includeFontPadding="false"
                android:textColor="@color/text_tertiary"
                android:textSize="12sp"
                tools:text="阅读并同意《用户协议》、《隐私政策》" />
        </LinearLayout>
    </androidx.constraintlayout.widget.ConstraintLayout>

    <TextView
        android:visibility="gone"
        android:id="@+id/quickLoginTv"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="16dp"
        android:layout_below="@+id/login_phone_btn"
        android:layout_centerHorizontal="true"
        android:textColor="@color/text_theme"
        android:textSize="14sp"
        android:text="一键登录 >" />

    <LinearLayout
        android:id="@+id/login_bottom"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_alignParentBottom="true"
        android:layout_marginBottom="64dp"
        android:gravity="center"
        android:orientation="horizontal">

        <ImageView
            android:id="@+id/login_qq_btn"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:padding="10dp"
            android:background="@drawable/bg_quick_login_third_party"
            android:src="@drawable/ic_quick_login_qq" />

        <ImageView
            android:id="@+id/login_wechat_btn"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginLeft="32dp"
            android:padding="10dp"
            android:background="@drawable/bg_quick_login_third_party"
            android:src="@drawable/ic_quick_login_wechat"
            app:layout_constraintTop_toTopOf="@+id/qqBtn"
            app:layout_constraintBottom_toBottomOf="@+id/qqBtn"
            app:layout_constraintLeft_toRightOf="@+id/qqBtn"
            app:layout_constraintRight_toLeftOf="@+id/weiboBtn" />

        <ImageView
            android:id="@+id/login_weibo_btn"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginLeft="32dp"
            android:padding="10dp"
            android:background="@drawable/bg_quick_login_third_party"
            android:src="@drawable/ic_quick_login_weibo"
            app:layout_constraintTop_toTopOf="@+id/qqBtn"
            app:layout_constraintBottom_toBottomOf="@+id/qqBtn"
            app:layout_constraintLeft_toRightOf="@+id/wechatBtn"
            app:layout_constraintRight_toRightOf="parent" />
    </LinearLayout>

    <ImageView
        android:id="@+id/login_close_btn"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_below="@+id/statusBarView"
        android:padding="12dp"
        app:srcCompat="@drawable/ic_login_close" />

    <include
        android:visibility="gone"
        android:id="@+id/normal_toolbar_container"
        android:layout_below="@+id/statusBarView"
        android:layout_width="match_parent"
        android:layout_height="48dp"
        layout="@layout/reuse_toolbar" />

</com.gh.gamecenter.common.view.MaterializedRelativeLayout>